<template>
    <v-sheet rounded="xl" color="grey lighten-4">
        <!-- title -->
        <div>
            <v-container class="px-5">
                <div class="d-flex justify-space-between">
                    <p class="text-h6 ma-0">{{ title }}</p>
                    <IconwHover v-if="icon" :icon="icon"/>
                </div>
            </v-container>
            <v-divider></v-divider>
        </div>
        <div>
            <!-- items -->
            <slot></slot>
        </div>
        <div>
            <v-container class="px-5">
                <p class="primary--text mb-1">Show more</p>
            </v-container>
        </div>
    </v-sheet>
</template>

<script>
import IconwHover from '../Additional/IconwHover.vue'
export default {
	components: { IconwHover },
    props: {
        title: String,
        icon: String,
    }
}
</script>

<style scope>
.trend-item {
    cursor: pointer;
}
</style>